Bug 1007731 - CLI - Ldap Groups error for 'posix'.
CLI - Ldap Groups error for 'posix'.
Status: CLOSED WONTFIX
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.3
Unspecified Unspecified
unspecified Severity medium
: rc
: ---
Assigned To: Adam Price
SAM QE List
: Regression
Depends On:
Blocks: sam20-tracker
  Show dependency treegraph
 
Reported: 2013-09-13 04:51 EDT by Hayk Hovsepyan
Modified: 2017-06-26 16:36 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-26 16:36:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
hhovsepy: automate_bug+


Attachments (Terms of Use)

  None (edit)
Description Hayk Hovsepyan 2013-09-13 04:51:28 EDT
Description of problem:
On SAM configured to 'posix' server, it shows error in CLI while adding valid ldap group to any new created user role.


Version-Release number of selected component (if applicable):
Katello-Katello-Installation-RegisterRHNClassic-1.1-4.noarch
candlepin-scl-runtime-1-5.el6_4.noarch
katello-common-1.4.3-13.el6sam_splice.noarch
katello-headpin-1.4.3-13.el6sam_splice.noarch
candlepin-selinux-0.8.26-1.el6sam.noarch
thumbslug-0.0.34-1.el6sam.noarch
openldap-2.4.23-31.el6.x86_64
katello-cli-common-1.4.3-10.el6sat.noarch
Katello-Katello-Installation-SAMLatestWithLdap-1.0-17.noarch
apr-util-ldap-1.3.9-3.el6_0.1.x86_64
katello-candlepin-cert-key-pair-1.0-1.noarch
candlepin-cert-consumer-budha.usersys.redhat.com-1.0-1.noarch
katello-configure-1.4.4-4.el6sat.noarch
elasticsearch-0.19.9-8.el6sat.noarch
katello-selinux-1.4.4-2.el6sat.noarch
katello-glue-elasticsearch-1.4.3-13.el6sam_splice.noarch
candlepin-scl-1-5.el6_4.noarch
candlepin-0.8.26-1.el6sam.noarch
thumbslug-selinux-0.0.34-1.el6sam.noarch
ruby193-rubygem-ldap_fluff-0.2.2-1.el6sat.noarch
katello-cli-1.4.3-10.el6sat.noarch
candlepin-scl-rhino-1.7R3-1.el6_4.noarch
katello-glue-candlepin-1.4.3-13.el6sam_splice.noarch
candlepin-scl-quartz-2.1.5-5.el6_4.noarch
candlepin-tomcat6-0.8.26-1.el6sam.noarch
katello-headpin-all-1.4.3-13.el6sam_splice.noarch
Katello-Katello-Configuration-KatelloClient-1.1-50.noarch
ruby193-rubygem-net-ldap-0.3.1-2.el6sat.noarch
katello-certs-tools-1.4.2-2.el6sat.noarch
Katello-Katello-Sanity-ImportKeys-1.2-1.noarch

How reproducible:
only on CLI level  

Steps to Reproduce:
1. Install SAM from Snap6, configure it to corporate LDAP server and configure it as a 'posix'.
2. Create some user role there.
3. Onm CLI level try to add valid LDAP group to that user role. You will see error there: "LdapFluff::Posix::MemberService::UIDNotFoundException". But in fact group is added.

Actual results:
error is shown while adding valid LDAP group to user role

Expected results:
it must show successfully added result

Additional info:
On UI side it works properly, and after error in CLI you can see that group exists in role.
Comment 2 Adam Price 2013-10-09 14:48:11 EDT
https://github.com/Katello/katello/pull/3147
Comment 3 Mike McCune 2016-03-28 18:11:59 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 4 Bryan Kearney 2017-06-26 16:36:41 EDT
The release of Satellite 5.8 we are deprecating the support of Subscription Asset Manager. The release notes for 5.8 can be found at https://access.redhat.com/documentation/en-us/red_hat_satellite/5.8/pdf/release_notes/Red_Hat_Satellite-5.8-Release_Notes-en-US.pdf.

I am therefore closing out this bug as WONTFIX. If you believe this to be an error, please feel free tor each out to either Rich Jerrido or Bryan Kearney. Thank you!

Note You need to log in before you can comment on or make changes to this bug.